**To get a shard iterator**

The following ``get-shard-iterator`` command retrieves a shard iterator for the specified shard. ::

    aws dynamodbstreams get-shard-iterator \
        --stream-arn arn:aws:dynamodb:us-west-1:12356789012:table/Music/stream/2019-10-22T18:02:01.576 \
        --shard-id shardId-00000001571780995058-40810d86 \
        --shard-iterator-type LATEST

Output::

    {
        "ShardIterator": "arn:aws:dynamodb:us-west-1:123456789012:table/Music/stream/2019-10-22T18:02:01.576|1| "
    }

For more information, see `Capturing Table Activity with DynamoDB Streams <https://docs.aws.amazon.com/amazondynamodb/latest/developerguide/Streams.html>`__ in the *Amazon DynamoDB Developer Guide*.
